Subject: bug#3336: fill-individual-paragraphs recently created bug

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 17 Sep 2011 07:46:41 +0200

Rory Mulvaney <[email-masked]> writes:

> In text fill mode with fill-column set at 78 (I think), repeat 12
> blocks of 1234567890 like so, properly filled with a hanging indent of
> 1 space:
>
> 1234567890 1234567890 1234567890 1234567890 1234567890 1234567890
>  1234567890 1234567890 1234567890 1234567890 1234567890 1234567890
>
> Then select the region given by that paragraph and call indent-rigidly
> with an argument of 4, to indent the whole thing, and then follow that
> up with an invocation of fill-individual-paragraphs, with that
> paragraph selected.  In my upgraded emacs, that improperly fills the
> paragraph.  If the simpler command fill-paragraph is used on the
> paragraph, it works correctly.

So, you're saying that if you fill this:

     1234567890 1234567890 1234567890 1234567890 1234567890 1234567890
      1234567890 1234567890 1234567890 1234567890 1234567890 1234567890

Then you get this:      

     1234567890 1234567890 1234567890 1234567890 1234567890 1234567890
      1234567890 1234567890 1234567890 1234567890 1234567890
      1234567890

(Well, that's what I get when I follow your recipe.)

I don't think that's a bug, but perhaps I'm not seeing what you're
seeing?
      
-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/